Page MenuHomePhabricator

Add startup script invocation to pagelib JS output
Closed, ResolvedPublic

Description

Some of the common actions to be run on the client should run as soon as possible after the basic body element in the DOM is ready to avoid flash of content:

Right when the DOM is ready some of the things are done that are complementing server side transformations and are independent of client side settings:

  • Hook up events for lazy loading of images
  • Hook up events for collapsing of tables

The app client is going to call a JS function to set/run:

  • Classify Platform
  • Theme selection (to avoid a flash of white background)
  • Dimming of images
  • body margins/padding
  • Text size adjustment

Event Timeline

bearND created this task.Oct 9 2018, 2:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2018, 2:17 AM
bearND claimed this task.Nov 20 2018, 4:57 PM
bearND triaged this task as Normal priority.
bearND moved this task from Upcoming to Kanban on the Product-Infrastructure-Team-Backlog board.
bearND moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.
bearND updated the task description. (Show Details)May 2 2019, 2:42 PM

Change 513251 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] mobile-html: remove inline script

https://gerrit.wikimedia.org/r/513251

bearND updated the task description. (Show Details)May 30 2019, 3:57 AM
bearND updated the task description. (Show Details)

Change 513251 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] mobile-html: remove inline script

https://gerrit.wikimedia.org/r/513251

bearND closed this task as Resolved.Jul 2 2019, 5:46 AM